jif.parse

## Class Array

- java.lang.Object
- - jif.parse.Amb
  - - jif.parse.Array

-     public class Array
      extends Amb

  An `Array` represents a `Amb` of the form "P[]". This must be an array type, although the base of that type is still ambiguous.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isConst`
    `protected polyglot.ast.TypeNode` | `prefix`

    - ### Fields inherited from class jif.parse.Amb

      `parser, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Array(Grm parser, polyglot.util.Position pos, polyglot.ast.TypeNode prefix)`
    `Array(Grm parser, polyglot.util.Position pos, polyglot.ast.TypeNode prefix, boolean isConst)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConst()`
    `polyglot.ast.TypeNode` | `prefix()`
    `polyglot.ast.Receiver` | `toReceiver()`
    `polyglot.ast.TypeNode` | `toType()`
    `polyglot.ast.TypeNode` | `toUnlabeledType()`

    - ### Methods inherited from class jif.parse.Amb

      `parser, position, toClassType, toExpr, toIdentifier, toName, toNewArray, toNewArrayPrefix, toPackage, toPrefix, toQualifier, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          protected final polyglot.ast.TypeNode prefix

    - #### isConst

          protected final boolean isConst

  - ### Constructor Detail

    - #### Array

          public Array(Grm parser,
                       polyglot.util.Position pos,
                       polyglot.ast.TypeNode prefix)

    - #### Array

          public Array(Grm parser,
                       polyglot.util.Position pos,
                       polyglot.ast.TypeNode prefix,
                       boolean isConst)

  - ### Method Detail

    - #### prefix

          public polyglot.ast.TypeNode prefix()

    - #### isConst

          public boolean isConst()

    - #### toType

          public polyglot.ast.TypeNode toType()

      Overrides:
        `toType` in class `Amb`

    - #### toUnlabeledType

          public polyglot.ast.TypeNode toUnlabeledType()

      Overrides:
        `toUnlabeledType` in class `Amb`

    - #### toReceiver

          public polyglot.ast.Receiver toReceiver()

      Overrides:
        `toReceiver` in class `Amb`